package com.pcloud.book.applet.biz;

import com.pcloud.book.applet.dto.AppletThirdResourcesDTO;
import com.pcloud.book.applet.entity.AppletThirdResources;
import com.pcloud.book.applet.entity.AppletThirdResourcesClick;
import com.pcloud.common.page.PageBeanNew;

public interface AppletThirdResourcesBiz {

    AppletThirdResourcesDTO getAnalysisDetail(Long thirdResourcesId);

    PageBeanNew<AppletThirdResourcesDTO> getListThirdResourcesAnalysis(String keyValue, String source,
            String resourcesType, Integer browseQty, Integer clickQty, Integer currentPage, Integer numPerPage);

    void addServiceRecord(AppletThirdResourcesClick thirdResourcesClick);

    AppletThirdResourcesDTO getNewsTrendChart(Long newsId);

    PageBeanNew<AppletThirdResources> getThirdResources(Long type, String source, String keyValue, Integer currentPage,
            Integer numPerPage);

    void deleteAppletsById(Long id);

    void updateThirdResources(AppletThirdResourcesDTO thirdResourcesDTO);

    AppletThirdResources getAppletsById(Long id);

    void createThirdResources(AppletThirdResourcesDTO thirdResourcesDTO);

}
